// Copyright (c) 2013-2020 LG Electronics, Inc.
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
// http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.
//
// SPDX-License-Identifier: Apache-2.0

#ifndef LOGGING_H
#define LOGGING_H

#include "PmLogLib.h"

#define LOG_INFO(...)                 PmLogInfo(GetNotificationPmLogContext(), ##__VA_ARGS__)
#define LOG_INFO_WITH_CLOCK(...)      PmLogInfoWithClock(GetNotificationPmLogContext(), ##__VA_ARGS__)
#define LOG_DEBUG(...)                PmLogDebug(GetNotificationPmLogContext(), ##__VA_ARGS__)
#define LOG_WARNING(...)              PmLogWarning(GetNotificationPmLogContext(), ##__VA_ARGS__)
#define LOG_ERROR(...)                PmLogError(GetNotificationPmLogContext(), ##__VA_ARGS__)

PmLogContext GetNotificationPmLogContext();

#define MSGID_APP_MGR_MSG_EMPTY "APPMGR_MSG_EMPTY"
#define MSGID_LISTAPPS_CALL_FAILED "LISTAPPS_FAIL"
#define MSGID_LISTAPPS_MSG_EMPTY "LISTAPPS_EMPTY"

#define MSGID_SAVE_MSG_FAIL "HIS_SAVE_FAIL"
#define MSGID_DEL_MSG_FAIL "HIS_DEL_FAIL"
#define MSGID_DB8_NULL_RESP "DB8_NULL_RESP"
#define MSGID_DB8_CALL_FAILED "DB8_CALL_FAIL"
#define MSGID_PURGE_FAIL "PURGE_FAIL"
#define MSGID_EXPIRE_FAIL "EXPIRE_FAIL"

#define MSGID_SETTINGS_DATA_EMPTY "SETTINGS_EMPTY"
#define MSGID_SETTINGS_FILE_LOAD_FAILED "SETTINGSFILE_FAIL"
#define MSGID_SETTINGS_GETSYSTEMSETTINGS_OPTION_FAILED "SETTINGS_GETSYSTEMSETTINGS_OPTION_FAILED"
#define MSGID_SETTINGS_OPTION_COUNTRY "SETTINGS_OPTION_COUNTRY"
#define MSGID_SETTINGS_OPTION_STOREMODE "SETTINGS_OPTION_STOREMODE"
#define MSGID_SETTINGS_OPTION_ENABLETOAST "SETTINGS_OPTION_ENABLETOAST"

#define MSGID_SERVICE_REG_ERR "SERVICE_REG_ERR"
#define MSGID_CATEGORY_REG_ERR "CATEGORY_REG_ERR"
#define MSGID_SERVICE_ATTACH_ERR "SERV_ATTACH_ERR"
#define MSGID_SERVICE_DETACH_ERR "SERV_DETACH_ERR"
#define MSGID_SERVICE_SET_CANCEL_ERR "SERV_SET_CANCEL_ERR"
#define MSGID_CALLERID_MISSING "CALLER_MISS"
#define MSGID_PERMISSION_DENY  "PERMISSION_DENY"
#define MSGID_CT_PARSE_FAIL	       "CT_PARSE_FAIL"
#define MSGID_CT_SOURCEID_MISSING "CT_SOURCEID_MISS"
#define MSGID_CT_SOURCEID_INVALID "CT_SOURCEID_INVALID"
#define MSGID_CT_MSG_EMPTY        "CT_MSG_EMPTY"
#define MSGID_CT_CALLERID_MISSING "CT_CALLER_MISS"
#define MSGID_CA_PARSE_FAIL       "CA_PARSE_FAIL"
#define MSGID_CA_MSG_EMPTY        "CA_MSG_EMPTY"
#define MSGID_CA_BUTTONS_EMPTY    "CA_BUTTONS_EMPTY"
#define MSGID_CA_SERVICEURI_INVALID "CA_SERVICEURI_INVALID"
#define MSGID_CA_CALLERID_MISSING "CA_CALLER_MISS"
#define MSGID_CA_PERMISSION_DENY  "CA_PERMISSION_DENY"
#define MSGID_CA_SOUNDURI_INVALID "CA_SOUNDURI_INVALID"
#define MSGID_CIA_PARSE_FAIL       "CIA_PARSE_FAIL"
#define MSGID_CIA_APPID_EMPTY      "CIA_APPID_EMPTY"
#define MSGID_CIA_PTYPE_EMPTY      "CIA_PTYPE_EMPTY"
#define MSGID_CIA_PNAME_EMPTY      "CIA_PNAME_EMPTY"
#define MSGID_CIA_PICON_VALID      "CIA_PICON_VALID"
#define MSGID_CIA_PICON_EMPTY      "CIA_PICON_EMPTY"
#define MSGID_CIA_DICON_VALID      "CIA_DICON_VALID"
#define MSGID_CIA_INPUTS_EMPTY     "CIA_INPUTS_EMPTY"
#define MSGID_CLIA_PARSE_FAIL      "CLIA_PARSE_FAIL"
#define MSGID_CLIA_ALERTID_MISSING "CLIA_ALERTID_MISSING"
#define MSGID_CLIA_ALERTID_PARSE_FAIL "CLIA_ALERTID_PARSE_FAIL"
#define MSGID_ET_PARSE_FAIL         "ET_PARSE_FAIL"
#define MSGID_DT_PARSE_FAIL         "DT_PARSE_FAIL"
#define MSGID_CLT_PARSE_FAIL        "CLT_PARSE_FAIL"
#define MSGID_CLT_SOUNDURI_MISSING   "CLT_SOUNDURI_MISSING"
#define MSGID_CLT_TOASTID_MISSING   "CLT_TID_MISSING"
#define MSGID_CLT_TOASTID_PARSE_FAIL "CLT_TID_PARSE_FAIL"
#define MSGID_CLA_PARSE_FAIL         "CLA_PARSE_FAIL"
#define MSGID_CLA_ALERTID_MISSING    "CLA_AID_MISSING"
#define MSGID_CLA_ALERTID_PARSE_FAIL "CLA_AID_PARSE_FAIL"
#define MSGID_CP_CALLERID_MISSING "CP_CALLERID_MISSING"
#define MSGID_CP_PARSE_FAIL       "CP_PARSE_FAIL"
#define MSGID_CP_PERMISSION_DENY  "CP_PERMISSION_DENY"
#define MSGID_CP_UI_NOT_READY "CP_UI_NOT_READY"
#define MSGID_CP_PROMPT_ACTIVE "CP_PROMPT_ACTIVE"
#define MSGID_CP_PROMPT_TYPE_INVALID "CP_PROMPT_TYPE_INVALID"
#define MSGID_RP_CALLERID_MISSING "RP_CALLERID_MISSING"
#define MSGID_RP_PARSE_FAIL       "RP_PARSE_FAIL"
#define MSGID_RP_PERMISSION_DENY  "RP_PERMISSION_DENY"
#define MSGID_RP_PROMPTID_INVALID "RP_PROMPTID_INVALID"
#define MSGID_RP_PINCODE_INVALID  "RP_PINCODE_INVALID"
#define MSGID_RP_REPLY_FAIL       "RP_REPLY_FAIL"
#define MSGID_RP_PINCODE_SETFAIL  "RP_PINCODE_SETFAIL"

#define MSGID_SYSTEMTIME_REG_FAIL        "SYSTEMTIME_REG_FAIL"
#define MSGID_SYSTEMTIME_GETTIME_FAIL    "SYSTEMTIME_GETTIME_FAIL"
#define MSGID_SYSTEMTIME_SYNC            "SYSTEMTIME_SYNC"

#define MSGID_POWERSTATUS_REG_FAIL       "POWERSTATUS_REG_FAIL"
#define MSGID_POWERSTATUS_GETSTATE_FAIL  "POWERSTATUS_GETSTATE_FAIL"

#define MSGID_NOTIFY_INVOKE "NOTIFY_INVOKE"
#define MSGID_NOTIFY_INVOKE_FAILED "NOTIFY_INVOKE_FAILED"
#define MSGID_NOTIFY_CLOSE "NOTIFY_CLOSE"

#define MSGID_NOTIFY_CLOSE_FAILED "NOTIFY_CLOSE_FAILED"
#define MSGID_NOTIFY_ENABLE "NOTIFY_ENABLE"
#define MSGID_NOTIFY_DISABLE "NOTIFY_DISABLE"
#define MSGID_NOTIFY_NOTPOST "NOTIFY_NOTPOST"
#define MSGID_SVC_GET_NOTIFICATION       "SVC_GET_NOTIFICATION"

#define MSGID_FAILED_TO_RESPOND "LSMESSAGE_FAILED_TO_RESPOND"

#define MSGID_NOTIFICATIONMGR "notificationmgr"

#define MSGID_PATH_MISSING "PATH_MISSING"
#define MSGID_XML_PATH     "XML_PATH"
#define MSGID_LAUNCH_ALERTAPP "LAUNCH_ALERTAPP"
#define MSGID_XML_PARSING_ERROR "XML_PARSING_ERROR"
#define MSGID_XML_CANVAS_PATH "XML_CANVAS_PATH"

#define MSGID_PINCODE_EMPTY           "PINCODE_EMPTY"
#define MSGID_PINCODE_PARSE_FAIL      "PINCODE_PARSE_FAIL"
#define MSGID_PINCODE_SYSTEMPIN_EMPTY "PINCODE_SYSTEMPIN_EMPTY"

#endif // LOGGING_H
